OGRE: Ogre::SkeletonManager Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::SkeletonManager Class Reference

Handles the management of skeleton resources. More...

`#include <OgreSkeletonManager.h>`

Inheritance diagram for Ogre::SkeletonManager:

[legend]
List of all members.

## Public Types

typedef std::pair< ResourcePtr, bool > | ResourceCreateOrRetrieveResult
typedef HashMap< String, ResourcePtr > | ResourceMap
typedef std::map< ResourceHandle, ResourcePtr > | ResourceHandleMap
typedef MapIterator< ResourceHandleMap > | ResourceMapIterator

## Public Member Functions

| SkeletonManager ()
| Constructor.
| ~SkeletonManager ()
virtual ResourcePtr | create (const String &name, const String &group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *createParams=0)
| Creates a new blank resource, but does not immediately load it.
virtual ResourceCreateOrRetrieveResult | createOrRetrieve (const String &name, const String &group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *createParams=0)
| Create a new resource, or retrieve an existing one with the same name if it already exists.
virtual void | setMemoryBudget (size_t bytes)
| Set a limit on the amount of memory this resource handler may use.
virtual size_t | getMemoryBudget (void) const
| Get the limit on the amount of memory this resource handler may use.
virtual size_t | getMemoryUsage (void) const
| Gets the current memory usage, in bytes.
virtual void | unload (const String &name)
| Unloads a single resource by name.
virtual void | unload (ResourceHandle handle)
| Unloads a single resource by handle.
virtual void | unloadAll (bool reloadableOnly=true)
| Unloads all resources.
virtual void | reloadAll (bool reloadableOnly=true)
| Caused all currently loaded resources to be reloaded.
virtual void | unloadUnreferencedResources (bool reloadableOnly=true)
| Unload all resources which are not referenced by any other object.
virtual void | reloadUnreferencedResources (bool reloadableOnly=true)
| Caused all currently loaded but not referenced by any other object resources to be reloaded.
virtual void | remove (ResourcePtr &r)
| Remove a single resource.
virtual void | remove (const String &name)
| Remove a single resource by name.
virtual void | remove (ResourceHandle handle)
| Remove a single resource by handle.
virtual void | removeAll (void)
| Removes all resources.
virtual ResourcePtr | getByName (const String &name)
| Retrieves a pointer to a resource by name, or null if the resource does not exist.
virtual ResourcePtr | getByHandle (ResourceHandle handle)
| Retrieves a pointer to a resource by handle, or null if the resource does not exist.
virtual bool | resourceExists (const String &name)
| Returns whether the named resource exists in this manager.
virtual bool | resourceExists (ResourceHandle handle)
| Returns whether a resource with the given handle exists in this manager.
virtual void | _notifyResourceTouched (Resource *res)
| Notify this manager that a resource which it manages has been 'touched', ie used.
virtual void | _notifyResourceLoaded (Resource *res)
| Notify this manager that a resource which it manages has been loaded.
virtual void | _notifyResourceUnloaded (Resource *res)
| Notify this manager that a resource which it manages has been unloaded.
virtual ResourcePtr | load (const String &name, const String &group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *loadParams=0)
| Generic load method, used to create a Resource specific to this ResourceManager without using one of the specialised 'load' methods (containing per-Resource-type parameters).
virtual const StringVector & | getScriptPatterns (void) const
| Gets the file patterns which should be used to find scripts for this ResourceManager.
virtual void | parseScript (DataStreamPtr &stream, const String &groupName)
| Parse the definition of a set of resources from a script file.
virtual Real | getLoadingOrder (void) const
| Gets the relative loading order of resources of this type.
const String & | getResourceType (void) const
| Gets a string identifying the type of resource this manager handles.
ResourceMapIterator | getResourceIterator (void)
| Returns an iterator over all resources in this manager.

## Static Public Member Functions

static SkeletonManager & | getSingleton (void)
| Override standard Singleton retrieval.
static SkeletonManager * | getSingletonPtr (void)
| Override standard Singleton retrieval.

## Protected Member Functions

Resource * | createImpl (const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader, const NameValuePairList *createParams)

Remarks:
  Subclasses must override this method and create a subclass of Resource.

Parameters:

  | name | The unique name of the resource
  | group | The name of the resource group to attach this new resource to
  | isManual | Is this resource manually loaded? If so, you should really populate the loader parameter in order that the load process can call the loader back when loading is required.
  | loader | Pointer to a ManualLoader implementation which will be called when the Resource wishes to load (should be supplied if you set isManual to true). You can in fact leave this parameter null if you wish, but the Resource will never be able to reload if anything ever causes it to unload. Therefore provision of a proper ManualLoader instance is strongly recommended.
  | createParams | If any parameters are required to create an instance, they should be supplied here as name / value pairs. These do not need to be set on the instance (handled elsewhere), just used if required to differentiate which concrete class is created.

ResourceHandle | getNextHandle (void)
| Allocates the next handle.
virtual void | addImpl (ResourcePtr &res)
| Add a newly created resource to the manager (note weak reference).
virtual void | removeImpl (ResourcePtr &res)
| Remove a resource from this manager; remove it from the lists.
virtual void | checkUsage (void)
| Checks memory usage and pages out if required.

## Protected Attributes

ResourceHandleMap | mResourcesByHandle
ResourceMap | mResources
ResourceHandle | mNextHandle
size_t | mMemoryBudget
size_t | mMemoryUsage
StringVector | mScriptPatterns
| Patterns to use to look for scripts if supported (e.g. *.overlay).
Real | mLoadOrder
| Loading order relative to other managers, higher is later.
String | mResourceType
| String identifying the resource type this manager handles.

## Static Protected Attributes

static SkeletonManager * | ms_Singleton

## Detailed Description

Handles the management of skeleton resources.

Remarks:
  This class deals with the runtime management of skeleton data; like other resource managers it handles the creation of resources (in this case skeleton data), working within a fixed memory budget.

Definition at line 46 of file OgreSkeletonManager.h.

## Member Typedef Documentation

typedef std::pair<ResourcePtr, bool> Ogre::ResourceManager::ResourceCreateOrRetrieveResult`[inherited]`

| Definition at line 98 of file OgreResourceManager.h.

typedef std::map<ResourceHandle, ResourcePtr> Ogre::ResourceManager::ResourceHandleMap`[inherited]`

| Definition at line 412 of file OgreResourceManager.h.

typedef HashMap< String, ResourcePtr > Ogre::ResourceManager::ResourceMap`[inherited]`

| Definition at line 411 of file OgreResourceManager.h.

typedef MapIterator<ResourceHandleMap> Ogre::ResourceManager::ResourceMapIterator`[inherited]`

| Definition at line 430 of file OgreResourceManager.h.

## Constructor & Destructor Documentation

Ogre::SkeletonManager::SkeletonManager | ( |  | ) |

| Constructor.

Ogre::SkeletonManager::~SkeletonManager | ( |  | ) |

## Member Function Documentation

virtual void Ogre::ResourceManager::_notifyResourceLoaded | ( | Resource * | res | ) | `[virtual, inherited]`

| Notify this manager that a resource which it manages has been loaded.

virtual void Ogre::ResourceManager::_notifyResourceTouched | ( | Resource * | res | ) | `[virtual, inherited]`

| Notify this manager that a resource which it manages has been 'touched', ie used.

virtual void Ogre::ResourceManager::_notifyResourceUnloaded | ( | Resource * | res | ) | `[virtual, inherited]`

| Notify this manager that a resource which it manages has been unloaded.

virtual void Ogre::ResourceManager::addImpl | ( | ResourcePtr & | res | ) | `[protected, virtual, inherited]`

| Add a newly created resource to the manager (note weak reference).

virtual void Ogre::ResourceManager::checkUsage | ( | void |  | ) | `[protected, virtual, inherited]`

| Checks memory usage and pages out if required.

virtual ResourcePtr Ogre::ResourceManager::create | ( | const String & | name,
|  | const String & | group,
|  | bool | isManual = `false`,
|  | ManualResourceLoader * | loader = `0`,
|  | const NameValuePairList * | createParams = `0`
| ) | `[virtual, inherited]`

Creates a new blank resource, but does not immediately load it.

Remarks:
  Resource managers handle disparate types of resources, so if you want to get at the detailed interface of this resource, you'll have to cast the result to the subclass you know you're creating.

Parameters:

  | name | The unique name of the resource
  | group | The name of the resource group to attach this new resource to
  | isManual | Is this resource manually loaded? If so, you should really populate the loader parameter in order that the load process can call the loader back when loading is required.
  | loader | Pointer to a ManualLoader implementation which will be called when the Resource wishes to load (should be supplied if you set isManual to true). You can in fact leave this parameter null if you wish, but the Resource will never be able to reload if anything ever causes it to unload. Therefore provision of a proper ManualLoader instance is strongly recommended.
  | createParams | If any parameters are required to create an instance, they should be supplied here as name / value pairs

Resource* Ogre::SkeletonManager::createImpl | ( | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader,
|  | const NameValuePairList * | createParams
| ) | `[protected, virtual]`

Remarks:
  Subclasses must override this method and create a subclass of Resource.

Parameters:

  | name | The unique name of the resource
  | group | The name of the resource group to attach this new resource to
  | isManual | Is this resource manually loaded? If so, you should really populate the loader parameter in order that the load process can call the loader back when loading is required.
  | loader | Pointer to a ManualLoader implementation which will be called when the Resource wishes to load (should be supplied if you set isManual to true). You can in fact leave this parameter null if you wish, but the Resource will never be able to reload if anything ever causes it to unload. Therefore provision of a proper ManualLoader instance is strongly recommended.
  | createParams | If any parameters are required to create an instance, they should be supplied here as name / value pairs. These do not need to be set on the instance (handled elsewhere), just used if required to differentiate which concrete class is created.

Implements Ogre::ResourceManager.

virtual ResourceCreateOrRetrieveResult Ogre::ResourceManager::createOrRetrieve | ( | const String & | name,
|  | const String & | group,
|  | bool | isManual = `false`,
|  | ManualResourceLoader * | loader = `0`,
|  | const NameValuePairList * | createParams = `0`
| ) | `[virtual, inherited]`

Create a new resource, or retrieve an existing one with the same name if it already exists.

Remarks:
  This method performs the same task as calling getByName() followed by create() if that returns null. The advantage is that it does it in one call so there are no race conditions if using multiple threads that could cause getByName() to return null, but create() to fail because another thread created a resource in between.

See also:
  ResourceManager::create

  ResourceManager::getByName

Returns:
  A pair, the first element being the pointer, and the second being an indicator specifying whether the resource was newly created.

virtual ResourcePtr Ogre::ResourceManager::getByHandle | ( | ResourceHandle | handle | ) | `[virtual, inherited]`

| Retrieves a pointer to a resource by handle, or null if the resource does not exist.

virtual ResourcePtr Ogre::ResourceManager::getByName | ( | const String & | name | ) | `[virtual, inherited]`

| Retrieves a pointer to a resource by name, or null if the resource does not exist.

virtual Real Ogre::ResourceManager::getLoadingOrder | ( | void |  | ) | const`[virtual, inherited]`

Gets the relative loading order of resources of this type.

Remarks:
  There are dependencies between some kinds of resource in terms of loading order, and this value enumerates that. Higher values load later during bulk loading tasks.

Implements Ogre::ScriptLoader.

Definition at line 367 of file OgreResourceManager.h.

virtual size_t Ogre::ResourceManager::getMemoryBudget | ( | void |  | ) | const`[virtual, inherited]`

| Get the limit on the amount of memory this resource handler may use.

virtual size_t Ogre::ResourceManager::getMemoryUsage | ( | void |  | ) | const`[virtual, inherited]`

| Gets the current memory usage, in bytes. Definition at line 131 of file OgreResourceManager.h.

ResourceHandle Ogre::ResourceManager::getNextHandle | ( | void |  | ) | `[protected, inherited]`

| Allocates the next handle.

ResourceMapIterator Ogre::ResourceManager::getResourceIterator | ( | void |  | ) | `[inherited]`

Returns an iterator over all resources in this manager.

Note:
  Use of this iterator is NOT thread safe!

Definition at line 435 of file OgreResourceManager.h.

const String& Ogre::ResourceManager::getResourceType | ( | void |  | ) | const`[inherited]`

| Gets a string identifying the type of resource this manager handles. Definition at line 370 of file OgreResourceManager.h.

virtual const StringVector& Ogre::ResourceManager::getScriptPatterns | ( | void |  | ) | const`[virtual, inherited]`

Gets the file patterns which should be used to find scripts for this ResourceManager.

Remarks:
  Some resource managers can read script files in order to define resources ahead of time. These resources are added to the available list inside the manager, but none are loaded initially. This allows you to load the items that are used on demand, or to load them all as a group if you wish (through ResourceGroupManager).

  This method lets you determine the file pattern which will be used to identify scripts intended for this manager.

Returns:
  A list of file patterns, in the order they should be searched in.

See also:
  isScriptingSupported, parseScript

Implements Ogre::ScriptLoader.

Definition at line 344 of file OgreResourceManager.h.

static SkeletonManager& Ogre::SkeletonManager::getSingleton | ( | void |  | ) | `[static]`

Override standard Singleton retrieval.

Remarks:
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

Reimplemented from Ogre::Singleton< SkeletonManager >.

static SkeletonManager* Ogre::SkeletonManager::getSingletonPtr | ( | void |  | ) | `[static]`

Override standard Singleton retrieval.

Remarks:
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

Reimplemented from Ogre::Singleton< SkeletonManager >.

virtual ResourcePtr Ogre::ResourceManager::load | ( | const String & | name,
|  | const String & | group,
|  | bool | isManual = `false`,
|  | ManualResourceLoader * | loader = `0`,
|  | const NameValuePairList * | loadParams = `0`
| ) | `[virtual, inherited]`

Generic load method, used to create a Resource specific to this ResourceManager without using one of the specialised 'load' methods (containing per-Resource-type parameters).

Parameters:

  | name | The name of the Resource
  | group | The resource group to which this resource will belong
  | isManual | Is the resource to be manually loaded? If so, you should provide a value for the loader parameter
  | loader | The manual loader which is to perform the required actions when this resource is loaded; only applicable when you specify true for the previous parameter
  | loadParams | Optional pointer to a list of name/value pairs containing loading parameters for this type of resource.

virtual void Ogre::ResourceManager::parseScript | ( | DataStreamPtr & | stream,
|  | const String & | groupName
| ) | `[virtual, inherited]`

Parse the definition of a set of resources from a script file.

Remarks:
  Some resource managers can read script files in order to define resources ahead of time. These resources are added to the available list inside the manager, but none are loaded initially. This allows you to load the items that are used on demand, or to load them all as a group if you wish (through ResourceGroupManager).

Parameters:

  | stream | Weak reference to a data stream which is the source of the script
  | groupName | The name of the resource group that resources which are parsed are to become a member of. If this group is loaded or unloaded, then the resources discovered in this script will be loaded / unloaded with it.

Implements Ogre::ScriptLoader.

Reimplemented in Ogre::CompositorManager, Ogre::FontManager, and Ogre::MaterialManager.

Definition at line 359 of file OgreResourceManager.h.

virtual void Ogre::ResourceManager::reloadAll | ( | bool | reloadableOnly = `true` | ) | `[virtual, inherited]`

Caused all currently loaded resources to be reloaded.

Remarks:
  All resources currently being held in this manager which are also marked as currently loaded will be unloaded, then loaded again.

Parameters:

  | reloadableOnly | If true (the default), only reload the resource that is reloadable. Because some resources isn't reloadable, they will be unloaded but can't loaded again. Thus, you might not want to them unloaded. Or, you might unload all of them, and then populate them manually later.

See also:
  Resource::isReloadable for resource is reloadable.

virtual void Ogre::ResourceManager::reloadUnreferencedResources | ( | bool | reloadableOnly = `true` | ) | `[virtual, inherited]`

Caused all currently loaded but not referenced by any other object resources to be reloaded.

Remarks:
  This method behaves like reloadAll, except that it only reloads resources which are not in use, ie not referenced by other objects.

  Some referenced resource may exists 'weak' pointer to their sub-components (e.g. Entity held pointer to SubMesh), in this case, unload or reload that resource will cause dangerous pointer access. Use this function instead of reloadAll allows you avoid fail in those situations.

Parameters:

  | reloadableOnly | If true (the default), only reloads resources which can be subsequently automatically reloaded.

virtual void Ogre::ResourceManager::remove | ( | ResourceHandle | handle | ) | `[virtual, inherited]`

Remove a single resource by handle.

Remarks:
  Removes a single resource, meaning it will be removed from the list of valid resources in this manager, also causing it to be unloaded.

Note:
  The word 'Destroy' is not used here, since if any other pointers are referring to this resource, it will persist until they have finished with it; however to all intents and purposes it no longer exists and will likely get destroyed imminently.

  If you do have shared pointers to resources hanging around after the ResourceManager is destroyed, you may get problems on destruction of these resources if they were relying on the manager (especially if it is a plugin). If you find you get problems on shutdown in the destruction of resources, try making sure you release all your shared pointers before you shutdown OGRE.

virtual void Ogre::ResourceManager::remove | ( | const String & | name | ) | `[virtual, inherited]`

Remove a single resource by name.

Remarks:
  Removes a single resource, meaning it will be removed from the list of valid resources in this manager, also causing it to be unloaded.

Note:
  The word 'Destroy' is not used here, since if any other pointers are referring to this resource, it will persist until they have finished with it; however to all intents and purposes it no longer exists and will likely get destroyed imminently.

  If you do have shared pointers to resources hanging around after the ResourceManager is destroyed, you may get problems on destruction of these resources if they were relying on the manager (especially if it is a plugin). If you find you get problems on shutdown in the destruction of resources, try making sure you release all your shared pointers before you shutdown OGRE.

virtual void Ogre::ResourceManager::remove | ( | ResourcePtr & | r | ) | `[virtual, inherited]`

Remove a single resource.

Remarks:
  Removes a single resource, meaning it will be removed from the list of valid resources in this manager, also causing it to be unloaded.

Note:
  The word 'Destroy' is not used here, since if any other pointers are referring to this resource, it will persist until they have finished with it; however to all intents and purposes it no longer exists and will likely get destroyed imminently.

  If you do have shared pointers to resources hanging around after the ResourceManager is destroyed, you may get problems on destruction of these resources if they were relying on the manager (especially if it is a plugin). If you find you get problems on shutdown in the destruction of resources, try making sure you release all your shared pointers before you shutdown OGRE.

virtual void Ogre::ResourceManager::removeAll | ( | void |  | ) | `[virtual, inherited]`

Removes all resources.

Note:
  The word 'Destroy' is not used here, since if any other pointers are referring to these resources, they will persist until they have been finished with; however to all intents and purposes the resources no longer exist and will get destroyed imminently.

  If you do have shared pointers to resources hanging around after the ResourceManager is destroyed, you may get problems on destruction of these resources if they were relying on the manager (especially if it is a plugin). If you find you get problems on shutdown in the destruction of resources, try making sure you release all your shared pointers before you shutdown OGRE.

Reimplemented in Ogre::CompositorManager.

virtual void Ogre::ResourceManager::removeImpl | ( | ResourcePtr & | res | ) | `[protected, virtual, inherited]`

| Remove a resource from this manager; remove it from the lists.

virtual bool Ogre::ResourceManager::resourceExists | ( | ResourceHandle | handle | ) | `[virtual, inherited]`

| Returns whether a resource with the given handle exists in this manager. Definition at line 292 of file OgreResourceManager.h.

virtual bool Ogre::ResourceManager::resourceExists | ( | const String & | name | ) | `[virtual, inherited]`

| Returns whether the named resource exists in this manager. Definition at line 287 of file OgreResourceManager.h.

virtual void Ogre::ResourceManager::setMemoryBudget | ( | size_t | bytes | ) | `[virtual, inherited]`

Set a limit on the amount of memory this resource handler may use.

Remarks:
  If, when asked to load a new resource, the manager believes it will exceed this memory budget, it will temporarily unload a resource to make room for the new one. This unloading is not permanent and the Resource is not destroyed; it simply needs to be reloaded when next used.

virtual void Ogre::ResourceManager::unload | ( | ResourceHandle | handle | ) | `[virtual, inherited]`

Unloads a single resource by handle.

Remarks:
  Unloaded resources are not removed, they simply free up their memory as much as they can and wait to be reloaded.

See also:
  ResourceGroupManager for unloading of resource groups.

virtual void Ogre::ResourceManager::unload | ( | const String & | name | ) | `[virtual, inherited]`

Unloads a single resource by name.

Remarks:
  Unloaded resources are not removed, they simply free up their memory as much as they can and wait to be reloaded.

See also:
  ResourceGroupManager for unloading of resource groups.

virtual void Ogre::ResourceManager::unloadAll | ( | bool | reloadableOnly = `true` | ) | `[virtual, inherited]`

Unloads all resources.

Remarks:
  Unloaded resources are not removed, they simply free up their memory as much as they can and wait to be reloaded.

See also:
  ResourceGroupManager for unloading of resource groups.

Parameters:

  | reloadableOnly | If true (the default), only unload the resource that is reloadable. Because some resources isn't reloadable, they will be unloaded but can't load them later. Thus, you might not want to them unloaded. Or, you might unload all of them, and then populate them manually later.

See also:
  Resource::isReloadable for resource is reloadable.

virtual void Ogre::ResourceManager::unloadUnreferencedResources | ( | bool | reloadableOnly = `true` | ) | `[virtual, inherited]`

Unload all resources which are not referenced by any other object.

Remarks:
  This method behaves like unloadAll, except that it only unloads resources which are not in use, ie not referenced by other objects. This allows you to free up some memory selectively whilst still keeping the group around (and the resources present, just not using much memory).

  Some referenced resource may exists 'weak' pointer to their sub-components (e.g. Entity held pointer to SubMesh), in this case, unload or reload that resource will cause dangerous pointer access. Use this function instead of unloadAll allows you avoid fail in those situations.

Parameters:

  | reloadableOnly | If true (the default), only unloads resources which can be subsequently automatically reloaded.

## Member Data Documentation

Real Ogre::ResourceManager::mLoadOrder`[protected, inherited]`

| Loading order relative to other managers, higher is later. Definition at line 425 of file OgreResourceManager.h.

size_t Ogre::ResourceManager::mMemoryBudget`[protected, inherited]`

| Definition at line 417 of file OgreResourceManager.h.

size_t Ogre::ResourceManager::mMemoryUsage`[protected, inherited]`

| Definition at line 418 of file OgreResourceManager.h.

ResourceHandle Ogre::ResourceManager::mNextHandle`[protected, inherited]`

| Definition at line 416 of file OgreResourceManager.h.

ResourceMap Ogre::ResourceManager::mResources`[protected, inherited]`

| Definition at line 415 of file OgreResourceManager.h.

ResourceHandleMap Ogre::ResourceManager::mResourcesByHandle`[protected, inherited]`

| Definition at line 414 of file OgreResourceManager.h.

String Ogre::ResourceManager::mResourceType`[protected, inherited]`

| String identifying the resource type this manager handles. Definition at line 427 of file OgreResourceManager.h.

SkeletonManager * Ogre::Singleton< SkeletonManager >::ms_Singleton`[static, protected, inherited]`

| Definition at line 61 of file OgreSingleton.h.

StringVector Ogre::ResourceManager::mScriptPatterns`[protected, inherited]`

| Patterns to use to look for scripts if supported (e.g. *.overlay). Definition at line 423 of file OgreResourceManager.h.

The documentation for this class was generated from the following file:

- OgreSkeletonManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:49:03 2008